Loading...
Searching...
No Matches
ranges::actions::shuffle_fn Struct Reference

## Public Member Functions

template<typename Gen > requires uniform_random_bit_generator<Gen>
constexpr auto | operator() (Gen &&gen) const
template<typename Gen > requires uniform_random_bit_generator<Gen>
constexpr auto | operator() (Gen &gen) const
template<typename Rng , typename Gen > requires random_access_range<Rng> && permutable<iterator_t<Rng>> && uniform_random_bit_generator<std::remove_reference_t<Gen>> && convertible_to<invoke_result_t<Gen &>, range_difference_t<Rng>>
Rng | operator() (Rng &&rng, Gen &&gen) const

## Related Symbols

(Note that these are not member symbols.)
constexpr shuffle_fn | shuffle {}

## Friends And Related Symbol Documentation

## shuffle

constexpr shuffle_fn shuffle {}

related

See also
  `action_closure`